<?

 /*************************************************************************************
 * Filename: setup.php
 *
 * This file is part of the ITS JAS plugin.
 * Copyright 2003-2016 by Matthijs Schuurman
 *
 * The ITS JAS plugin is free software under the terms of the
 * GNU General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the plugin or http://jas.junerules.com/plugins/its/
 *************************************************************************************/


 class Plugin_Setup_its extends Base_Plugin_Setup
 {
  function init()
  {
   global $_path;

   $this->modules();

   //copy css
   $this->mkdir($_path["project"]["style"]);
   $this->file("setup/its.css", $_path["project"]["style"]);

   //categories
   $this->data("categories", "text", Array(
    Array(
     "name" => "ITS",
     "text" => "ITS CONTAINER",
     "moduleLock" => true,
     "module" => Array("its_issues", "its_tags", "its_projects", "workflow", "workflowTransitions"),
    ),
    Array(
     "catnr" => (object) Array("set" => 0, "entry" => 0, "field" => "nr"), //use nr value from first entry in first data set
     "name" => "Updates",
     "text" => "ITS UPDATES CONTAINER",
     "moduleLock" => true,
     "module" => Array("its_updates", "workflow"),
    ),
    Array(
     "catnr" => (object) Array("set" => 0, "entry" => 0, "field" => "nr"),
     "name" => "Files",
     "text" => "ITS FILES CONTAINER",
     "moduleLock" => true,
     "module" => Array("its_files"),
    ),
   ));

   //projects
   $this->data("its_projects", "code", Array(
    Array(
     "catnr" => (object) Array("set" => 0, "entry" => 0, "field" => "nr"),
     "code" => "GEN",
     "name" => "General issues",
    ),
    Array(
     "catnr" => (object) Array("set" => 0, "entry" => 0, "field" => "nr"),
     "code" => "PLGN",
     "name" => "Plugin issues",
    ),
   ));

   //workflows
   $this->data("workflow", Array("name"), Array(
    Array(
     "catnr" => (object) Array("set" => 0, "entry" => 0, "field" => "nr"),
     "name" => "ITS - Default",
     "script" => "
Open
Close > CLOSED

Closed
Reopen > OPEN
     ",
    ),
   ));

   return true;
  }
 }
?>
